"""
Errors used in AR drivers.

Copyright 2018 Amplifier Research
"""


class Error(Exception):
    """Base class for AR equipment exceptions"""
    def __init__(self, description):
        super().__init__(description)


class QueryError(Error):
    """Exception for handling an unexpected response when querying a device."""
    def __init__(self, response):
        super().__init__(f'Unexpected response from device: "{response}"')


class ParameterError(Error):
    """Exception for handling invalid inputs to driver function calls."""
    def __init__(self, description):
        super().__init__(f'Invalid parameter: {description}')
