import setuptools

def read(filename):
    with open(filename, 'r') as f:
        return f.read()

long_description = '\n\n'.join([read('README.md'), read('CHANGES.md')])

setuptools.setup(
    name="ardrivers",
    version="3.2",
    author="Amplifier Research",
    author_email="info@arworld.us",
    description="Drivers for AR products",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://www.arworld.us",
    license="MIT",
    packages=['ardrivers'],
    install_requires=['pyvisa'],
    include_package_data=True,
    classifiers=(
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Topic :: System :: Hardware :: Hardware Drivers"
    ),
    zip_safe=False
)